#!/bin/bash

# The directory of the thirdParty.jar file
programDir=$1
# The directory to determine the isolation rating for
sourceDir=$2
# The file with a list of known third-party libraries
knownSystems=$3
# The file to write the isolation rating per third-party library to
outputFile=$4

java -jar $programDir/thirdParty.jar \
	-basedir $sourceDir \
	-knownSystems $knownSystems \
	-ignore netbeans,openide