#!/bin/bash

# Clean up first 

echo "Cleaning up first..."
mysql -D$db -e "truncate table stats"
mysql -D$db -e "update files set status = 0"
mysql -D$db -e "truncate table errors"

currentDate=$(date "+%d-%m-%Y_%H.%M.%S")
logdir=../../logs/completerun/$currentDate
mkdir $logdir
nrNodes=60

prun -1 -np $nrNodes -t 999:99:99 -o $logdir/log -panda -v completejava.sh&