#!/bin/bash

if [ $# -lt 3 ]; then
	echo "Usage: $0 <groupId> <artifactid> <version>"
	exit 1
fi

groupId=$1
artifactId=$2
version=$3

unixTimestamp=$(curl http://search.maven.org/solrsearch/select?q=g:"$groupId"+AND+a:"$artifactId"+AND+v:"$version" 2> /dev/null \
	| grep -Po '"timestamp":.*?,' \
	| sed 's:"timestamp"\:::g;s:,::g')

echo $unixTimestamp