#!/bin/bash

if [ $(hostname) == "" ]; then
	nodeId=-1;
	hostname="";
else
	nodeId=$(hostname | sed 's:0::g' | sed 's:::g');
	hostname="";
fi

sequenceNr=$1
nrNodes=$2
echo "nodeId = $nodeId, nrNodes = $nrNodes, sequenceNr = $sequenceNr, hostname = $hostname"

=$(cat ~/. | grep = | sed 's:=::g')
=$(cat ~/. | grep = | sed 's:=::g')

java -Xmx2g -jar ../jar/.jar \
	-nodeId $sequenceNr \
	-nrNodes $nrNodes \
	-subprogramId 3 \
	-blockSize 50 \
	-host $hostname \
	-database  \
	- $ \
	- $;
