#!/bin/bash

nodeId=$(hostname | sed 's:0::g' | sed 's:::g')

sequenceNr=$1
nrNodes=$2
outputFile="fullyqualified.$(hostname).csv"
echo "nodeId = $nodeId, nrNodes = $nrNodes, sequenceNr = $sequenceNr, hostname = $hostname"
echo "outputFile = $outputFile"

java -Xmx2g -jar ../../jar/.jar \
	-nodeId $sequenceNr \
	-nrNodes $nrNodes \
	-subprogramId 4 \
	-outputFile $outputFile