select
	DATABASE() as "database",
    m.graphNodeId,
    m.name,
    m.snapshotId,
    CAST(m.parameters AS UNSIGNED INT) as "nrParameters",
    CAST(m.mccabe AS UNSIGNED INT) as "mccabe",
    CAST(m.end - m.start AS UNSIGNED INT) as "loc"
from  m
where type = "java.method"
order by
    m.graphNodeId,
    m.snapshotId