#!/bin/bash

if [ $# -lt 1 ]; then
	echo "Usage: $0 <dir>" >&2
	exit 1
fi

dir=$1

=
=
allVersions=$(ssh  "mysql -u$ -p$ -D -B -N -e \"select CONCAT(version,';',satDate) from files where fullName like '$dir%' and enabled = 1 and hasSource = 1\"" 2>/dev/null)

echo $allVersions
