#!/bin/bash

if [ $# -lt 2 ]; then
	echo "Usage: $0 <dir> <scriptsDir>"
	exit 1
fi

dir=$(cd $1; pwd)
scriptsDir=$2
version=$(basename $dir)
artifactId=$(cd $dir; cd ..; basename $(pwd));
groupId=$(echo $dir | sed 's:\/:\.:g')
fullName="$dir/$artifactId-$version.jar"

=
=

echo "importdate.sh, dir: '$dir'" >&2
echo "importdate.sh, scriptsDir: '$scriptsDir'" >&2
echo "importdate.sh, groupId: '$groupId'" >&2
echo "importdate.sh, artifactId: '$artifactId'" >&2
echo "importdate.sh, version: '$version'" >&2
echo "importdate.sh, fullName: '$fullName'" >&2

sqlDate=$(ssh "mysql -u$ -p$ -D -B -N -e \"select satDate from files where fullName = '$fullName'\"" 2>/dev/null)
sqlDate=$(echo $sqlDate | sed 's:-::g')
echo $sqlDate