#!/bin/bash

if [ $# -lt 1 ]; then
	echo "Usage: $0 <filename>"
	exit 1
fi

filename=$1

rm -rf /tmp/inspect
mkdir /tmp/inspect

cp $filename /tmp/inspect
cd /tmp/inspect

filename=/tmp/inspect/$(basename $filename)
echo "New filename: $filename" 
jar -xf $filename