#!/bin/bash

if [ $# -lt 3 ]; then
	echo "ERROR in executing mavendates.sh, not enough parameters supplied"
	exit 1
fi

groupId=$1
artifactId=$2
version=$3

unixTimestamp=$(curl http://search.maven.org/solrsearch/select?q=g:"$groupId"+AND+a:"$artifactId"+AND+v:"$version" 2>/dev/null)
echo $unixTimestamp