#!/bin/bash

sequenceNr=$1
nrNodes=$2
nodeId=$(hostname | sed 's:0::g' | sed 's:::g')

scriptsDir=$(pwd)
outputDir=$scriptsDir/binarycounts

echo "Starting BinaryUsageCounts on nodeId=$nodeId,sequenceNr=$sequenceNr (nrNodes=$nrNodes)"

java -Xmx4g -jar ../../jar/.jar \
	-subprogramId 13 \
	-nodeId $sequenceNr \
	-outputDir $outputDir \
	-scriptsDir $scriptsDir