/*
-- Query: select 
    fileId,
    fullName,
    groupId,
    artifactId,
    version,
    reservedNodeId,
    snapshotId
from files
where groupId = "com.h2database"
    and artifactId = "h2"
    and fullName is not null
order by snapshotId
LIMIT 0, 1000

-- Date: 2012-08-17 13:51
*/
INSERT INTO `files` (`fileId`,`fullName`,`groupId`,`artifactId`,`version`,`reservedNodeId`,`snapshotId`) VALUES (9398,'com/h2database/h2/1.0.57/h2-1.0.57.jar','com.h2database','h2','1.0.57',22,1);
INSERT INTO `files` (`fileId`,`fullName`,`groupId`,`artifactId`,`version`,`reservedNodeId`,`snapshotId`) VALUES (9416,'com/h2database/h2/1.0.58/h2-1.0.58.jar','com.h2database','h2','1.0.58',8,2);
INSERT INTO `files` (`fileId`,`fullName`,`groupId`,`artifactId`,`version`,`reservedNodeId`,`snapshotId`) VALUES (9399,'com/h2database/h2/1.0.59/h2-1.0.59.jar','com.h2database','h2','1.0.59',23,3);
INSERT INTO `files` (`fileId`,`fullName`,`groupId`,`artifactId`,`version`,`reservedNodeId`,`snapshotId`) VALUES (9357,'com/h2database/h2/1.0.60/h2-1.0.60.jar','com.h2database','h2','1.0.60',13,4);
INSERT INTO `files` (`fileId`,`fullName`,`groupId`,`artifactId`,`version`,`reservedNodeId`,`snapshotId`) VALUES (9421,'com/h2database/h2/1.0.61/h2-1.0.61.jar','com.h2database','h2','1.0.61',13,5);
INSERT INTO `files` (`fileId`,`fullName`,`groupId`,`artifactId`,`version`,`reservedNodeId`,`snapshotId`) VALUES (9374,'com/h2database/h2/1.0.62/h2-1.0.62.jar','com.h2database','h2','1.0.62',30,6);
INSERT INTO `files` (`fileId`,`fullName`,`groupId`,`artifactId`,`version`,`reservedNodeId`,`snapshotId`) VALUES (9411,'com/h2database/h2/1.0.63/h2-1.0.63.jar','com.h2database','h2','1.0.63',3,7);
INSERT INTO `files` (`fileId`,`fullName`,`groupId`,`artifactId`,`version`,`reservedNodeId`,`snapshotId`) VALUES (9370,'com/h2database/h2/1.0.64/h2-1.0.64.jar','com.h2database','h2','1.0.64',26,8);
INSERT INTO `files` (`fileId`,`fullName`,`groupId`,`artifactId`,`version`,`reservedNodeId`,`snapshotId`) VALUES (9361,'com/h2database/h2/1.0.65/h2-1.0.65.jar','com.h2database','h2','1.0.65',17,9);
INSERT INTO `files` (`fileId`,`fullName`,`groupId`,`artifactId`,`version`,`reservedNodeId`,`snapshotId`) VALUES (9402,'com/h2database/h2/1.0.66/h2-1.0.66.jar','com.h2database','h2','1.0.66',26,10);
INSERT INTO `files` (`fileId`,`fullName`,`groupId`,`artifactId`,`version`,`reservedNodeId`,`snapshotId`) VALUES (9434,'com/h2database/h2/1.0.67/h2-1.0.67.jar','com.h2database','h2','1.0.67',26,11);
INSERT INTO `files` (`fileId`,`fullName`,`groupId`,`artifactId`,`version`,`reservedNodeId`,`snapshotId`) VALUES (9425,'com/h2database/h2/1.0.68/h2-1.0.68.jar','com.h2database','h2','1.0.68',17,12);
INSERT INTO `files` (`fileId`,`fullName`,`groupId`,`artifactId`,`version`,`reservedNodeId`,`snapshotId`) VALUES (9365,'com/h2database/h2/1.0.69/h2-1.0.69.jar','com.h2database','h2','1.0.69',21,13);
INSERT INTO `files` (`fileId`,`fullName`,`groupId`,`artifactId`,`version`,`reservedNodeId`,`snapshotId`) VALUES (9366,'com/h2database/h2/1.0.70/h2-1.0.70.jar','com.h2database','h2','1.0.70',22,14);
INSERT INTO `files` (`fileId`,`fullName`,`groupId`,`artifactId`,`version`,`reservedNodeId`,`snapshotId`) VALUES (9404,'com/h2database/h2/1.0.71/h2-1.0.71.jar','com.h2database','h2','1.0.71',28,15);
INSERT INTO `files` (`fileId`,`fullName`,`groupId`,`artifactId`,`version`,`reservedNodeId`,`snapshotId`) VALUES (9353,'com/h2database/h2/1.0.72/h2-1.0.72.jar','com.h2database','h2','1.0.72',9,16);
INSERT INTO `files` (`fileId`,`fullName`,`groupId`,`artifactId`,`version`,`reservedNodeId`,`snapshotId`) VALUES (9408,'com/h2database/h2/1.0.73/h2-1.0.73.jar','com.h2database','h2','1.0.73',32,17);
INSERT INTO `files` (`fileId`,`fullName`,`groupId`,`artifactId`,`version`,`reservedNodeId`,`snapshotId`) VALUES (9368,'com/h2database/h2/1.0.74/h2-1.0.74.jar','com.h2database','h2','1.0.74',24,18);
INSERT INTO `files` (`fileId`,`fullName`,`groupId`,`artifactId`,`version`,`reservedNodeId`,`snapshotId`) VALUES (9393,'com/h2database/h2/1.0.75/h2-1.0.75.jar','com.h2database','h2','1.0.75',17,19);
INSERT INTO `files` (`fileId`,`fullName`,`groupId`,`artifactId`,`version`,`reservedNodeId`,`snapshotId`) VALUES (9428,'com/h2database/h2/1.0.76/h2-1.0.76.jar','com.h2database','h2','1.0.76',20,20);
INSERT INTO `files` (`fileId`,`fullName`,`groupId`,`artifactId`,`version`,`reservedNodeId`,`snapshotId`) VALUES (9380,'com/h2database/h2/1.0.77/h2-1.0.77.jar','com.h2database','h2','1.0.77',4,21);
INSERT INTO `files` (`fileId`,`fullName`,`groupId`,`artifactId`,`version`,`reservedNodeId`,`snapshotId`) VALUES (9369,'com/h2database/h2/1.0.78/h2-1.0.78.jar','com.h2database','h2','1.0.78',25,22);
INSERT INTO `files` (`fileId`,`fullName`,`groupId`,`artifactId`,`version`,`reservedNodeId`,`snapshotId`) VALUES (9356,'com/h2database/h2/1.0.79/h2-1.0.79.jar','com.h2database','h2','1.0.79',12,23);
INSERT INTO `files` (`fileId`,`fullName`,`groupId`,`artifactId`,`version`,`reservedNodeId`,`snapshotId`) VALUES (9385,'com/h2database/h2/1.0.20061217/h2-1.0.20061217.jar','com.h2database','h2','1.0.20061217',9,24);
INSERT INTO `files` (`fileId`,`fullName`,`groupId`,`artifactId`,`version`,`reservedNodeId`,`snapshotId`) VALUES (9388,'com/h2database/h2/1.0.20070304/h2-1.0.20070304.jar','com.h2database','h2','1.0.20070304',12,25);
INSERT INTO `files` (`fileId`,`fullName`,`groupId`,`artifactId`,`version`,`reservedNodeId`,`snapshotId`) VALUES (9384,'com/h2database/h2/1.0.20070429/h2-1.0.20070429.jar','com.h2database','h2','1.0.20070429',8,26);
INSERT INTO `files` (`fileId`,`fullName`,`groupId`,`artifactId`,`version`,`reservedNodeId`,`snapshotId`) VALUES (9359,'com/h2database/h2/1.0.20070617/h2-1.0.20070617.jar','com.h2database','h2','1.0.20070617',15,27);
INSERT INTO `files` (`fileId`,`fullName`,`groupId`,`artifactId`,`version`,`reservedNodeId`,`snapshotId`) VALUES (9419,'com/h2database/h2/1.1.100/h2-1.1.100.jar','com.h2database','h2','1.1.100',11,28);
INSERT INTO `files` (`fileId`,`fullName`,`groupId`,`artifactId`,`version`,`reservedNodeId`,`snapshotId`) VALUES (9426,'com/h2database/h2/1.1.101/h2-1.1.101.jar','com.h2database','h2','1.1.101',18,29);
INSERT INTO `files` (`fileId`,`fullName`,`groupId`,`artifactId`,`version`,`reservedNodeId`,`snapshotId`) VALUES (9358,'com/h2database/h2/1.1.102/h2-1.1.102.jar','com.h2database','h2','1.1.102',14,30);
INSERT INTO `files` (`fileId`,`fullName`,`groupId`,`artifactId`,`version`,`reservedNodeId`,`snapshotId`) VALUES (9352,'com/h2database/h2/1.1.103/h2-1.1.103.jar','com.h2database','h2','1.1.103',8,31);
INSERT INTO `files` (`fileId`,`fullName`,`groupId`,`artifactId`,`version`,`reservedNodeId`,`snapshotId`) VALUES (9424,'com/h2database/h2/1.1.104/h2-1.1.104.jar','com.h2database','h2','1.1.104',16,32);
INSERT INTO `files` (`fileId`,`fullName`,`groupId`,`artifactId`,`version`,`reservedNodeId`,`snapshotId`) VALUES (9400,'com/h2database/h2/1.1.105/h2-1.1.105.jar','com.h2database','h2','1.1.105',24,33);
INSERT INTO `files` (`fileId`,`fullName`,`groupId`,`artifactId`,`version`,`reservedNodeId`,`snapshotId`) VALUES (9372,'com/h2database/h2/1.1.106/h2-1.1.106.jar','com.h2database','h2','1.1.106',28,34);
INSERT INTO `files` (`fileId`,`fullName`,`groupId`,`artifactId`,`version`,`reservedNodeId`,`snapshotId`) VALUES (9417,'com/h2database/h2/1.1.107/h2-1.1.107.jar','com.h2database','h2','1.1.107',9,35);
INSERT INTO `files` (`fileId`,`fullName`,`groupId`,`artifactId`,`version`,`reservedNodeId`,`snapshotId`) VALUES (9354,'com/h2database/h2/1.1.108/h2-1.1.108.jar','com.h2database','h2','1.1.108',10,36);
INSERT INTO `files` (`fileId`,`fullName`,`groupId`,`artifactId`,`version`,`reservedNodeId`,`snapshotId`) VALUES (9387,'com/h2database/h2/1.1.109/h2-1.1.109.jar','com.h2database','h2','1.1.109',11,37);
INSERT INTO `files` (`fileId`,`fullName`,`groupId`,`artifactId`,`version`,`reservedNodeId`,`snapshotId`) VALUES (9382,'com/h2database/h2/1.1.110/h2-1.1.110.jar','com.h2database','h2','1.1.110',6,38);
INSERT INTO `files` (`fileId`,`fullName`,`groupId`,`artifactId`,`version`,`reservedNodeId`,`snapshotId`) VALUES (9383,'com/h2database/h2/1.1.111/h2-1.1.111.jar','com.h2database','h2','1.1.111',7,39);
INSERT INTO `files` (`fileId`,`fullName`,`groupId`,`artifactId`,`version`,`reservedNodeId`,`snapshotId`) VALUES (9433,'com/h2database/h2/1.1.112/h2-1.1.112.jar','com.h2database','h2','1.1.112',25,40);
INSERT INTO `files` (`fileId`,`fullName`,`groupId`,`artifactId`,`version`,`reservedNodeId`,`snapshotId`) VALUES (9377,'com/h2database/h2/1.1.113/h2-1.1.113.jar','com.h2database','h2','1.1.113',1,41);
INSERT INTO `files` (`fileId`,`fullName`,`groupId`,`artifactId`,`version`,`reservedNodeId`,`snapshotId`) VALUES (9362,'com/h2database/h2/1.1.114/h2-1.1.114.jar','com.h2database','h2','1.1.114',18,42);
INSERT INTO `files` (`fileId`,`fullName`,`groupId`,`artifactId`,`version`,`reservedNodeId`,`snapshotId`) VALUES (9413,'com/h2database/h2/1.1.115/h2-1.1.115.jar','com.h2database','h2','1.1.115',5,43);
INSERT INTO `files` (`fileId`,`fullName`,`groupId`,`artifactId`,`version`,`reservedNodeId`,`snapshotId`) VALUES (9430,'com/h2database/h2/1.1.116/h2-1.1.116.jar','com.h2database','h2','1.1.116',22,44);
INSERT INTO `files` (`fileId`,`fullName`,`groupId`,`artifactId`,`version`,`reservedNodeId`,`snapshotId`) VALUES (9367,'com/h2database/h2/1.1.117/h2-1.1.117.jar','com.h2database','h2','1.1.117',23,45);
INSERT INTO `files` (`fileId`,`fullName`,`groupId`,`artifactId`,`version`,`reservedNodeId`,`snapshotId`) VALUES (9409,'com/h2database/h2/1.1.118/h2-1.1.118.jar','com.h2database','h2','1.1.118',1,46);
INSERT INTO `files` (`fileId`,`fullName`,`groupId`,`artifactId`,`version`,`reservedNodeId`,`snapshotId`) VALUES (9405,'com/h2database/h2/1.1.119/h2-1.1.119.jar','com.h2database','h2','1.1.119',29,47);
INSERT INTO `files` (`fileId`,`fullName`,`groupId`,`artifactId`,`version`,`reservedNodeId`,`snapshotId`) VALUES (9373,'com/h2database/h2/1.2.120/h2-1.2.120.jar','com.h2database','h2','1.2.120',29,48);
INSERT INTO `files` (`fileId`,`fullName`,`groupId`,`artifactId`,`version`,`reservedNodeId`,`snapshotId`) VALUES (9389,'com/h2database/h2/1.2.121/h2-1.2.121.jar','com.h2database','h2','1.2.121',13,49);
INSERT INTO `files` (`fileId`,`fullName`,`groupId`,`artifactId`,`version`,`reservedNodeId`,`snapshotId`) VALUES (9363,'com/h2database/h2/1.2.122/h2-1.2.122.jar','com.h2database','h2','1.2.122',19,50);
INSERT INTO `files` (`fileId`,`fullName`,`groupId`,`artifactId`,`version`,`reservedNodeId`,`snapshotId`) VALUES (9360,'com/h2database/h2/1.2.123/h2-1.2.123.jar','com.h2database','h2','1.2.123',16,51);
INSERT INTO `files` (`fileId`,`fullName`,`groupId`,`artifactId`,`version`,`reservedNodeId`,`snapshotId`) VALUES (9371,'com/h2database/h2/1.2.124/h2-1.2.124.jar','com.h2database','h2','1.2.124',27,52);
INSERT INTO `files` (`fileId`,`fullName`,`groupId`,`artifactId`,`version`,`reservedNodeId`,`snapshotId`) VALUES (9390,'com/h2database/h2/1.2.125/h2-1.2.125.jar','com.h2database','h2','1.2.125',14,53);
INSERT INTO `files` (`fileId`,`fullName`,`groupId`,`artifactId`,`version`,`reservedNodeId`,`snapshotId`) VALUES (9432,'com/h2database/h2/1.2.126/h2-1.2.126.jar','com.h2database','h2','1.2.126',24,54);
INSERT INTO `files` (`fileId`,`fullName`,`groupId`,`artifactId`,`version`,`reservedNodeId`,`snapshotId`) VALUES (9394,'com/h2database/h2/1.2.127/h2-1.2.127.jar','com.h2database','h2','1.2.127',18,55);
INSERT INTO `files` (`fileId`,`fullName`,`groupId`,`artifactId`,`version`,`reservedNodeId`,`snapshotId`) VALUES (9410,'com/h2database/h2/1.2.128/h2-1.2.128.jar','com.h2database','h2','1.2.128',2,56);
INSERT INTO `files` (`fileId`,`fullName`,`groupId`,`artifactId`,`version`,`reservedNodeId`,`snapshotId`) VALUES (9375,'com/h2database/h2/1.2.129/h2-1.2.129.jar','com.h2database','h2','1.2.129',31,57);
INSERT INTO `files` (`fileId`,`fullName`,`groupId`,`artifactId`,`version`,`reservedNodeId`,`snapshotId`) VALUES (9406,'com/h2database/h2/1.2.130/h2-1.2.130.jar','com.h2database','h2','1.2.130',30,58);
INSERT INTO `files` (`fileId`,`fullName`,`groupId`,`artifactId`,`version`,`reservedNodeId`,`snapshotId`) VALUES (9386,'com/h2database/h2/1.2.131/h2-1.2.131.jar','com.h2database','h2','1.2.131',10,59);
INSERT INTO `files` (`fileId`,`fullName`,`groupId`,`artifactId`,`version`,`reservedNodeId`,`snapshotId`) VALUES (9401,'com/h2database/h2/1.2.132/h2-1.2.132.jar','com.h2database','h2','1.2.132',25,60);
INSERT INTO `files` (`fileId`,`fullName`,`groupId`,`artifactId`,`version`,`reservedNodeId`,`snapshotId`) VALUES (9435,'com/h2database/h2/1.2.133/h2-1.2.133.jar','com.h2database','h2','1.2.133',27,61);
INSERT INTO `files` (`fileId`,`fullName`,`groupId`,`artifactId`,`version`,`reservedNodeId`,`snapshotId`) VALUES (9418,'com/h2database/h2/1.2.134/h2-1.2.134.jar','com.h2database','h2','1.2.134',10,62);
INSERT INTO `files` (`fileId`,`fullName`,`groupId`,`artifactId`,`version`,`reservedNodeId`,`snapshotId`) VALUES (9407,'com/h2database/h2/1.2.135/h2-1.2.135.jar','com.h2database','h2','1.2.135',31,63);
INSERT INTO `files` (`fileId`,`fullName`,`groupId`,`artifactId`,`version`,`reservedNodeId`,`snapshotId`) VALUES (9415,'com/h2database/h2/1.2.136/h2-1.2.136.jar','com.h2database','h2','1.2.136',7,64);
INSERT INTO `files` (`fileId`,`fullName`,`groupId`,`artifactId`,`version`,`reservedNodeId`,`snapshotId`) VALUES (9392,'com/h2database/h2/1.2.137/h2-1.2.137.jar','com.h2database','h2','1.2.137',16,65);
INSERT INTO `files` (`fileId`,`fullName`,`groupId`,`artifactId`,`version`,`reservedNodeId`,`snapshotId`) VALUES (9414,'com/h2database/h2/1.2.138/h2-1.2.138.jar','com.h2database','h2','1.2.138',6,66);
INSERT INTO `files` (`fileId`,`fullName`,`groupId`,`artifactId`,`version`,`reservedNodeId`,`snapshotId`) VALUES (9376,'com/h2database/h2/1.2.139/h2-1.2.139.jar','com.h2database','h2','1.2.139',32,67);
INSERT INTO `files` (`fileId`,`fullName`,`groupId`,`artifactId`,`version`,`reservedNodeId`,`snapshotId`) VALUES (9379,'com/h2database/h2/1.2.140/h2-1.2.140.jar','com.h2database','h2','1.2.140',3,68);
INSERT INTO `files` (`fileId`,`fullName`,`groupId`,`artifactId`,`version`,`reservedNodeId`,`snapshotId`) VALUES (9355,'com/h2database/h2/1.2.141/h2-1.2.141.jar','com.h2database','h2','1.2.141',11,69);
INSERT INTO `files` (`fileId`,`fullName`,`groupId`,`artifactId`,`version`,`reservedNodeId`,`snapshotId`) VALUES (9431,'com/h2database/h2/1.2.142/h2-1.2.142.jar','com.h2database','h2','1.2.142',23,70);
INSERT INTO `files` (`fileId`,`fullName`,`groupId`,`artifactId`,`version`,`reservedNodeId`,`snapshotId`) VALUES (9422,'com/h2database/h2/1.2.143/h2-1.2.143.jar','com.h2database','h2','1.2.143',14,71);
INSERT INTO `files` (`fileId`,`fullName`,`groupId`,`artifactId`,`version`,`reservedNodeId`,`snapshotId`) VALUES (9381,'com/h2database/h2/1.2.144/h2-1.2.144.jar','com.h2database','h2','1.2.144',5,72);
INSERT INTO `files` (`fileId`,`fullName`,`groupId`,`artifactId`,`version`,`reservedNodeId`,`snapshotId`) VALUES (9397,'com/h2database/h2/1.2.145/h2-1.2.145.jar','com.h2database','h2','1.2.145',21,73);
INSERT INTO `files` (`fileId`,`fullName`,`groupId`,`artifactId`,`version`,`reservedNodeId`,`snapshotId`) VALUES (9391,'com/h2database/h2/1.2.147/h2-1.2.147.jar','com.h2database','h2','1.2.147',15,74);
INSERT INTO `files` (`fileId`,`fullName`,`groupId`,`artifactId`,`version`,`reservedNodeId`,`snapshotId`) VALUES (9364,'com/h2database/h2/1.3.146/h2-1.3.146.jar','com.h2database','h2','1.3.146',20,75);
INSERT INTO `files` (`fileId`,`fullName`,`groupId`,`artifactId`,`version`,`reservedNodeId`,`snapshotId`) VALUES (9378,'com/h2database/h2/1.3.148/h2-1.3.148.jar','com.h2database','h2','1.3.148',2,76);
INSERT INTO `files` (`fileId`,`fullName`,`groupId`,`artifactId`,`version`,`reservedNodeId`,`snapshotId`) VALUES (9423,'com/h2database/h2/1.3.149/h2-1.3.149.jar','com.h2database','h2','1.3.149',15,77);
INSERT INTO `files` (`fileId`,`fullName`,`groupId`,`artifactId`,`version`,`reservedNodeId`,`snapshotId`) VALUES (9403,'com/h2database/h2/1.3.150/h2-1.3.150.jar','com.h2database','h2','1.3.150',27,78);
INSERT INTO `files` (`fileId`,`fullName`,`groupId`,`artifactId`,`version`,`reservedNodeId`,`snapshotId`) VALUES (9429,'com/h2database/h2/1.3.151/h2-1.3.151.jar','com.h2database','h2','1.3.151',21,79);
INSERT INTO `files` (`fileId`,`fullName`,`groupId`,`artifactId`,`version`,`reservedNodeId`,`snapshotId`) VALUES (9395,'com/h2database/h2/1.3.152/h2-1.3.152.jar','com.h2database','h2','1.3.152',19,80);
INSERT INTO `files` (`fileId`,`fullName`,`groupId`,`artifactId`,`version`,`reservedNodeId`,`snapshotId`) VALUES (9436,'com/h2database/h2/1.3.153/h2-1.3.153.jar','com.h2database','h2','1.3.153',28,81);
INSERT INTO `files` (`fileId`,`fullName`,`groupId`,`artifactId`,`version`,`reservedNodeId`,`snapshotId`) VALUES (9420,'com/h2database/h2/1.3.154/h2-1.3.154.jar','com.h2database','h2','1.3.154',12,82);
INSERT INTO `files` (`fileId`,`fullName`,`groupId`,`artifactId`,`version`,`reservedNodeId`,`snapshotId`) VALUES (9396,'com/h2database/h2/1.3.155/h2-1.3.155.jar','com.h2database','h2','1.3.155',20,83);
INSERT INTO `files` (`fileId`,`fullName`,`groupId`,`artifactId`,`version`,`reservedNodeId`,`snapshotId`) VALUES (9437,'com/h2database/h2/1.3.156/h2-1.3.156.jar','com.h2database','h2','1.3.156',29,84);
INSERT INTO `files` (`fileId`,`fullName`,`groupId`,`artifactId`,`version`,`reservedNodeId`,`snapshotId`) VALUES (9412,'com/h2database/h2/1.3.157/h2-1.3.157.jar','com.h2database','h2','1.3.157',4,85);
INSERT INTO `files` (`fileId`,`fullName`,`groupId`,`artifactId`,`version`,`reservedNodeId`,`snapshotId`) VALUES (9427,'com/h2database/h2/1.3.158/h2-1.3.158.jar','com.h2database','h2','1.3.158',19,86);
