select distinct basedir
from
(
    select
        fullName,
        @first:=left(fullName, length(fullName) - locate('/', reverse(fullName))),
        @second:=left(@first, length(@first) - locate('/', reverse(@first))) as 'basedir'
    from files
    where hasSource = 1
) as a
order by RAND()
limit $sampleSize;