#!/bin/bash

if [ $(hostname) == "" ]; then
	echo "This script cannot be executed on DAS-3"
	exit 1
fi

./deploy.sh

scp $(ls *.sh *.csv *.r *.py *.RData)

if [ $? == 0 ]; then
	currentTime=$(date "+%H:%M:%S")
	echo "Deployed succesfully at $currentTime"
else
	echo "ERROR in the deployment to das"
	exit 1
fi
