#!/bin/bash

if [ $# -lt 1 ]; then
	echo "Usage: $0 <jarFile>"
	exit 1
fi

jarFile=$1

for class in $(jar -tf $jarFile | grep '.class'); do 
	class=${class//\//.}
	class=${class//.class/}
	javap -private -c -s -l -classpath $jarFile $class #| grep "//Method\|public class"
done