#!/usr/bin/env python

import sys
import datetime

def main():
	if len(sys.argv) < 2:
		stderr.write("No timestamp received. Exiting.\n")
		exit(1)
	
	# When not found, increase the snapshot date of the latest snapshot that was found
	# with 1 day
	sys.stderr.write("importdate.py: timestamp received: " + sys.argv[1] + "\n")
	converted = datetime.datetime.fromtimestamp(int(sys.argv[1])).strftime('%Y%m%d')
	print(converted)
	sys.stderr.write("Converted datetime: " + converted + "\n")
	
main()