#!/bin/bash

currentDate=$(date "+%d-%m-%Y_%H.%M.%S")
logdir=../logs/cyvis/$currentDate
mkdir $logdir
nrNodes=32
#./clearCyvis.sh

# with +- 4550 files reserved per node and a batch size of 50, we need to start prun 91 times
# But start it separately first to set up the fileruns table properly
prun -1 -np $nrNodes -t 30:00 -o $logdir/log -panda -v cyvis.sh;

# Now do the rest
for i in {1..90}; do
	prun -1 -np $nrNodes -t 30:00 -o $logdir/log -panda -v cyvis.sh;
done

./showlasterror.sh;